[i965] TV out not detected on Thinkpad R61 with intel gm965

Bug #178910 reported by tyler on 2007-12-27
10
Affects Status Importance Assigned to Milestone
xserver-xorg-video-intel (Ubuntu)
Undecided
Unassigned
Intrepid
Medium
Unassigned

Bug Description

The TV out is not detected on an Thinkpad R61 Type 8943-DNG.

The output of xrandr -q is this:

arthur@gymir:~$ xrandr -q
Screen 0: minimum 320 x 200, current 1400 x 1050, maximum 1400 x 1400
VGA disconnected (normal left inverted right)
LVDS connected 1400x1050+0+0 (normal left inverted right) 304mm x 228mm
   1400x1050 60.0*+ 50.0
   1280x1024 59.9
   1280x800 60.0
   1280x768 60.0
   1024x768 60.0
   800x600 60.3
   640x480 60.0 59.9

tyler (durdon-tyler) wrote :

btw, I'm using gutsy x86_64 on that machine. Have not tried the x86 version yet.

Patrick Brueckner (madmuffin) wrote :

is that error still present with 8.04?

Thomas (tuluse) wrote :

I have a R61i, and ubuntu 8.04 64 bit and it still doesn't detect TV out.

c4pp4 (c4pp4) wrote :

Does the same in Ubuntu 8.04.1/32 bit.

Thinkpad R61i Type 8932-9ZG

$ sudo dmidecode | grep -i Family:
 Family: ThinkPad R61/R61i

$ lspci -v | grep -i Display
00:02.1 Display controller: Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller (rev 0c)

$ xrandr -q
Screen 0: minimum 320 x 200, current 1280 x 800, maximum 1280 x 1280
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1280x800 60.0*+ 60.0 50.0
   1280x768 60.0
   1024x768 60.0
   800x600 60.3
   640x480 59.9

c4pp4 (c4pp4) wrote :

$ lspci -vvnn | grep -A1 "VGA compat"
00:02.0 VGA compatible controller [0300]: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller [8086:2a02] (rev 0c) (prog-if 00 [VGA
controller])
        Subsystem: Lenovo Unknown device [17aa:20b5]

$ lspci -vvnn | grep -A1 "Display"
00:02.1 Display controller [0380]: Intel Corporation Mobile GM965/GL960
Integrated Graphics Controller [8086:2a03] (rev 0c)
        Subsystem: Lenovo Unknown device [17aa:20b5]

It's fixed for the Subsystem 17aa:20b5, I already tested it using Git.

mithro (mithro) wrote :

The following patch will fix the problem.

To use do the following,
<code>
 apt-get install fakeroot
 apt-get build-dep xserver-xorg-video-intel
 apt-get source xserver-xorg-video-intel
 cd xserver-xorg-video-intel-2.4.1
</code>
Put the patch file in the ./debian/patches directory
<code>
 fakeroot ./debian/rules binary
 dpkg --install ../xserver-xorg-video-intel_*.deb
</code>

I have also attached a working deb package.

mithro (mithro) wrote :

Here is the working deb package for amd64.

rhawkins (rhawkins-cs) wrote :

This fixed my TV out woes.

Thanks!

Daniel T Chen (crimsun) on 2008-11-21
Changed in xrandr:
status: New → Fix Released
Changed in xserver-xorg-video-intel:
status: Fix Released → Triaged
Bryce Harrington (bryce) wrote :

[This is an automatic notice.]

We'd like to forward your bug upstream, however upstream requires
that you first test it against their newer driver code.

To save you the effort of building the driver from source, we've built
packages for the driver and its new dependencies.

So you have a couple options:

 1. Download and test .debs for intrepid, from:
     https://edge.launchpad.net/~intel-gfx-testing/+archive

 -or-

 2. Download and test the Jaunty alpha-2 (or newer) Live CD,
     (which includes a beta of the new xserver 1.6 as well).
     See http://cdimage.ubuntu.com/releases/9.04/ for ISOs

Thanks ahead of time! You can simply reply to this email to report your
findings.

P.S., if you wish to forward your bug upstream yourself, please follow
these directions to do so:
  http://intellinuxgraphics.org/how_to_report_bug.html

Changed in xserver-xorg-video-intel:
status: Triaged → Incomplete
mithro (mithro) wrote :

This bug has already been fixed upstream, the above patch is a backport for the current release.

Changed in xserver-xorg-video-intel:
status: Incomplete → Confirmed
Bryce Harrington (bryce) wrote :

Thanks; setting up bug task accordingly.

Changed in xserver-xorg-video-intel:
importance: Undecided → Medium
status: New → Triaged
status: Confirmed → Fix Released
Liox (liox) wrote :

Unfortunately, the bugfix does not work for me. I've patched the current driver (v.2.2.1) and later, as this was not working, I installed the driver provided by https://edge.launchpad.net/~intel-gfx-testing/+archive/ppa. My distro is Hardy Heron. I have a Lenovo Thinkpad R61 8932-G7G with following graphic card:
Intel Corporation Mobile GM965/GL960 Integrated Graphics Controller [8086:2a02] (rev 0c) (prog-if 00 [VGA controller])
 Subsystem: Lenovo Unknown device [17aa:20b5]

The TV screen keeps black. The only change is, that now my panel is only 1024px small and the screen saver works only with a resolution of 1024x768
xrandr has following output(after I changed the format to PAL):
VGA disconnected (normal left inverted right x axis y axis)
LVDS connected 1280x800+0+0 (normal left inverted right x axis y axis) 331mm x 207mm
   1280x800 59.9*+ 60.0 51.6
   1280x768 60.0
   1024x768 60.0
   800x600 60.3
   640x480 59.9
TV connected 1024x768+0+0 (normal left inverted right x axis y axis) 0mm x 0mm
   1024x768 25.0*
   800x600 25.0
   848x480 25.0
   640x480 25.0

I've not changed anything on the xorg.conf. It's the one generated by Ubuntu itself. I've connected the laptop via s-video cable. It's working on windows, so the connection is not faulty.
If you need some more information, just let me know.

Liox (liox) wrote :

Hello again, today after a reboot of my box, I can see something on my TV. Finally it is working. Sorry, but I didn't know that I have to reboot. Usually a logout-login again is enough.

Alex Valavanis (valavanisalex) wrote :

Intrepid Ibex reached end-of-life on 30 April 2010 so I am closing the report. The bug has been fixed in newer releases of Ubuntu.

Changed in xserver-xorg-video-intel (Ubuntu Intrepid):
status: Triaged → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.